GET api/medistreamprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "2db9c614-7449-4d66-8136-f00531151605",
"program_id": "19319994-a248-4072-98b8-ada93a5526f6",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "dea44f8f-15bd-4636-9f5c-133c5d4b4f72",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>2db9c614-7449-4d66-8136-f00531151605</id> <medistream_program_step_type_id>dea44f8f-15bd-4636-9f5c-133c5d4b4f72</medistream_program_step_type_id> <name>sample string 4</name> <program_id>19319994-a248-4072-98b8-ada93a5526f6</program_id> </medistream_program_step>